#
# spec file for package build-compare
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           build-compare
License:        GPLv2+
Group:          Development/Tools/Building
AutoReqProv:    on
Summary:        Build Result Compare Script
Version:        2011.04.19
Release:        4.pm.9.1
Source1:        COPYING
Source2:        same-build-result.sh
Source3:        rpm-check.sh
Source4:        functions.sh
Source5:        srpm-check.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains scripts to find out if the build result differs
to a former build.


%prep
mkdir $RPM_BUILD_DIR/%name-%version
%setup -T 0 -D

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/build/ $RPM_BUILD_ROOT/%_defaultdocdir/%name
install -m 0755 %SOURCE2 %SOURCE3 %SOURCE4 %SOURCE5 $RPM_BUILD_ROOT/usr/lib/build/
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/%_defaultdocdir/%name/

%files
%defattr(-,root,root)
%doc %_defaultdocdir/%name
/usr/lib/build

%changelog
* Mon Jul 11 2011 dmueller@suse.de
- also compare fileclass
* Fri May 20 2011 aj@suse.de
- Remove debug echo output.
* Tue Apr 19 2011 aj@suse.de
- Handle libreoffice-bootstrap.
* Tue Mar 15 2011 aj@suse.de
- Use perl -e instead of -E (bnc#679562).
* Mon Feb 28 2011 aj@suse.de
- Increase version.
* Mon Feb 28 2011 mls@suse.de
- Check also the first part of the release to e.g. handle rebuild of complete
  distribution (bnc#674991).
* Thu Oct 28 2010 aj@suse.de
- If source file is different, do not compare binaries with check-all.
* Wed Oct 27 2010 aj@suse.de
- Handle /usr/lib/texmf/doc/man as well
* Tue Oct 26 2010 aj@suse.de
- Ignore metafont formats.
* Tue Oct 26 2010 aj@suse.de
- Enable check-all to check for all differences in all packages.
* Fri Oct 22 2010 aj@suse.de
- Handle new zip date.
- Handle heartbeat man page.
* Sun Sep 26 2010 aj@suse.de
- Fix man regex.
* Wed Sep 22 2010 coolo@novell.com
- ignore texlive's fmt files as discussed with werner
* Mon Sep 20 2010 aj@suse.de
- Handle man pages generated from docbook.
- Handle rubygem documentation.
* Mon Sep 20 2010 aj@suse.de
- Create common file functions.sh and cleanup code.
* Mon Sep 20 2010 lnussel@suse.de
- exclude delta rpms
* Mon Sep 20 2010 aj@suse.de
- Create script for just checking source rpms.
* Thu Sep  9 2010 aj@suse.de
- Handle another date format for man pages found in coreutils.
- Handle more html files, e.g. kdelibs4 and libvdpau.
* Thu Sep  9 2010 aj@suse.de
- Handle weekday in man page.
* Tue Aug 31 2010 aj@suse.de
- Refine texi2html rule (found in zsh)
* Fri Aug 27 2010 aj@suse.de
- Handle png files with timestamp if convert is installed.
* Fri Aug 27 2010 aj@suse.de
- Handle one more doxygen variation.
* Sun May 23 2010 aj@suse.de
- Release is at end of line, avoid wrong matches.
* Fri May 21 2010 cmorve69@yahoo.es
- Improved ELF executable detection (bnc#604049).
* Thu May 20 2010 aj@suse.de
- Don't skip cross-x86_64-gcc-icecream-backend binary rpms: tighten
  the checks for -32bit packages.
* Sun May 16 2010 aj@suse.de
- Further man pages tweek.
* Sun May 16 2010 aj@suse.de
- further kde meinproc tuning.
* Thu May 13 2010 aj@suse.de
- Further fixes for kde meinproc (bnc#604049).
* Wed May 12 2010 aj@suse.de
- Fix doxygen docu handling.
* Wed May 12 2010 aj@suse.de
- Handle one more GNU Classpath version.
- Further improve man page regexp.
* Tue May 11 2010 aj@suse.de
- Improve man page regexp.
* Tue May 11 2010 aj@suse.de
- Improve kde index.cache handling as suggested by Cristian Morales
  Vega in bnc#604049.
* Tue May 11 2010 aj@suse.de
- Handle deprecated-list.html generated by javadoc.
- Handle doxygen docu.
- Handle /etc/sendmail.cf as well.
- Improve texi2html regexp to handle qemu.
* Mon May 10 2010 aj@suse.de
- Handle kde index.cache files (bnc#604049).
- Fix for handling of man pages and javadoc files.
* Mon May 10 2010 aj@suse.de
- Handle kdelibs4
* Sat May  8 2010 aj@suse.de
- Fix typo in last change - thanks Dirk Müller.
* Fri May  7 2010 aj@suse.de
- Handle sendmail .cf files.
* Tue Mar 23 2010 aj@suse.de
- Handle mono files.
- Mount /proc if it's not mounted already to work around bug in
  build script.
* Sun Mar 14 2010 aj@suse.de
- Improve last regexp to fix virt-utils.
* Sat Mar  6 2010 aj@suse.de
- Improve regexp for last change.
* Fri Mar  5 2010 aj@suse.de
- Handle more man files.
* Sun Dec 13 2009 aj@suse.de
- Handle libtool writing the hostname
* Wed Nov 18 2009 aj@suse.de
- Some more gjdoc dates (found in ant-antlr).
* Thu Oct 22 2009 coolo@novell.com
- take out debugging code
* Wed Oct 14 2009 aj@suse.de
- Replace external /usr/bin/unrpm by small function to get
  rid of dependency of build.rpm.
* Thu Sep 24 2009 aj@suse.de
- Add comments.
* Wed Sep 23 2009 aj@suse.de
- Handle noarch subpackage in sort correctly.
* Tue Aug 25 2009 mls@suse.de
- the COPYRIGHT tag does not exist, map it back to LICENSE to
  be backward compatible
* Mon Aug 17 2009 aj@suse.de
- Handle texi2html output.
* Thu Aug  6 2009 aj@suse.de
- adjust gjdoc sed to match "August 1" and similar one-digit days.
* Tue Aug  4 2009 aj@suse.de
- Compare mono files with cmp, just in case (handles rfc).
* Sun Aug  2 2009 aj@suse.de
- Sort jar filelists before compare.
* Mon Jul 27 2009 aj@suse.de
- Fail rpm-check if unrpm does not exist (noticed with package
  build).
* Sun Jul 26 2009 aj@suse.de
- Fix problem found with building gettext-tools: tar packages
  directories.
* Thu Jul 23 2009 aj@suse.de
- Update version number.
* Tue Jul 21 2009 aj@suse.de
- Handle emacs bytecompiled files.
- Handle /usr/share/man/man3/*3pm perl man pages.
- Handle /var/adm/perl-modules/*.
- Handle fonts.dir, fonts.scale and encoding.dir.
* Tue Jul 21 2009 aj@suse.de
- Add return value for .a case so that it can succeed.
* Mon Jul 20 2009 aj@suse.de
- Fix typo in same-build-results.sh
- Ignore javadoc build stamp in javadoc html files.
- Use jar,fastjar or unzip to extract jar files.
* Wed Jul 15 2009 coolo@novell.com
- overwrite duplicated files in zip files
* Tue Jul 14 2009 coolo@novell.com
- support .jar and .zip files
- fix support of gzipped files
* Mon May  4 2009 coolo@suse.de
- compare content of *.tar too
* Mon May  4 2009 coolo@suse.de
- if objdump fails, fall back to hexdump (bnc#489965)
* Mon May  4 2009 coolo@suse.de
- ignore dates in mo files (bnc#489198)
* Tue Apr 28 2009 mmarek@suse.cz
- rpm-check.sh: add option --check-all to check all packaged files
  (useful for debugging)
* Sun Feb  8 2009 coolo@suse.de
- fix handling of hardlinks to compressed files
* Sat Feb  7 2009 coolo@suse.de
- fix handling of -32bit and -64bit
* Sat Feb  7 2009 coolo@suse.de
- fix command line order
* Fri Feb  6 2009 coolo@suse.de
- use --no-show-raw-insn for objdump -d
* Fri Feb  6 2009 coolo@suse.de
- hopefully fixed shell quoting for rpm command line
* Thu Feb  5 2009 coolo@suse.de
- fix 2 bugs
- don't ignore source rpms - changed sources should output
  changed source rpms, no matter if they create the same binaries
  (think of changed copyright header in spec files)
* Tue Jan 27 2009 adrian@suse.de
- Create initial package based on the work of Matz and Coolo
  This package provides script for the main build script to be able
  to check if a new build has the same result than the former one.
  The Build Service is able to skip the new build than.
- changes in source rpms are currently ignored, is that okay ?
